package cn.reghao.oss.api.iface;

import cn.reghao.oss.api.dto.*;

import java.util.List;

/**
 * @author reghao
 * @date 2023-05-28 23:25:06
 */
public interface ObjectService {
    void putObjectPrefix(ObjectPrefix objectPrefix);
    List<String> getObjectPrefix();
    ObjectMeta getObject(String objectName);
    DownloadUrl getDownloadUrl(String objectId, int channelId, long userId);
    ObjectInfo getObjectInfo(String objectId);
    ObjectUrl getObjectUrl(String objectId);
}
